域名服务找到 2 个接口
组合看板数据
composeNSBoard
POST
/NSService/composeNSBoard- 定义文件
service_ns.proto- 可用角色
- 管理员
原始定义
rpc composeNSBoard (ComposeNSBoardRequest) returns (ComposeNSBoardResponse);请求消息
ComposeNSBoardRequest组合看板数据
请求消息 · 字段定义
message ComposeNSBoardRequest {
}响应消息
ComposeNSBoardResponse响应消息 · 字段定义
message ComposeNSBoardResponse {
int64 countNSDomains = 1;
int64 countNSRecords = 2;
int64 countNSClusters = 3;
int64 countNSNodes = 4;
int64 countOfflineNSNodes = 5;
repeated DailyTrafficStat dailyTrafficStats = 30;
repeated HourlyTrafficStat hourlyTrafficStats = 31;
repeated NodeStat topNSNodeStats = 32;
repeated DomainStat topNSDomainStats = 33;
repeated NodeValue cpuNodeValues = 34;
repeated NodeValue memoryNodeValues = 35;
repeated NodeValue loadNodeValues = 36;
message DailyTrafficStat {
string day = 1;
int64 bytes = 2;
int64 countRequests = 3;
}
message HourlyTrafficStat {
string hour = 1;
int64 bytes = 2;
int64 countRequests = 3;
}
message NodeStat {
int64 nsClusterId = 1;
int64 nsNodeId = 2;
string nsNodeName = 3;
int64 countRequests = 4;
int64 bytes = 5;
}
message DomainStat {
int64 nsDomainId = 1;
string nsDomainName = 2;
int64 countRequests = 3;
int64 bytes = 4;
}
}